<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/dialog/website_user_delete.php - version 1.0
*/

$nAdminOnlyPg = 1;

// Secure and connect
require("../../inc/dbconnect.php");
require("../inc/secure_page.php");

// config
$nPageName = "website_user_delete.php";
$nRefreshCall = "runDelete();";

// Get passed-in variables
$nRecID = (isset($_GET["id"]) ? $_GET["id"] : NULL);
$nUpdateDB = (isset($_POST["nUpdateDB"]) ? $_POST["nUpdateDB"] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST["nRecID"]) ? $_POST["nRecID"] : NULL); }

// Error checking for form submission
$nError = "";

if($nRecID){
	// Get information for this record to display
	$Query = "SELECT * FROM nWebsiteUser WHERE nID=$nRecID";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nFullName = trim($Row["nFirstName"]." ".$Row["nLastName"]);
		
	} else {
		$nError = "<li>You have requested a record that does not exist.  Please try again.</li>";
	}
} else { exit("<div align=\"center\" style=\"padding:20px;\">No record available. Invalid ID.</div>"); }

if($nUpdateDB){
	if($nRecID){
		// Remove records
		$Query = "DELETE FROM nWebsiteUser WHERE nID=$nRecID LIMIT 1";
		mysql_select_db($DBName); mysql_query($Query, $Link);
		// Optmization
		$nSQL = "OPTIMIZE TABLE nWebsiteUser";
		mysql_select_db($DBName); mysql_query($nSQL, $Link);
		
		// log system event
		$nSystemEventDesc = "Website user deleted (ID#$nRecID): <strong>$nFullName</strong>";
		$Query = "INSERT INTO nSystemEventLog (nEventTime,nEventDesc,nEditorUser) VALUES ('".date("Y-m-d H:i:s")."','$nSystemEventDesc','$ValidUser')";
		mysql_select_db($DBName); mysql_query($Query, $Link);
		
		// run through system events and replace related active links to text
		$Query = "SELECT nID,nEventDesc FROM nSystemEventLog WHERE nEventDesc LIKE ('%[nWebsiteUserID:$nRecID]%')";
		mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
		while ($Row = mysql_fetch_array($Result)) {
			$nID = $Row["nID"];
			$nEventDesc = $Row["nEventDesc"];
			$nEventDesc = str_replace("[nWebsiteUserID:$nRecID]","$nFullName",$nEventDesc);
			$nSQL = "UPDATE nSystemEventLog SET nEventDesc='$nEventDesc' WHERE nID=$nID";
			mysql_select_db($DBName); mysql_query($nSQL, $Link);
		}
	}
	echo "<script>dialogDeleteClose();</script>";
	exit();
}
?>
<script>
runDelete = function(){
	try{ nLoadWebsiteUsersTable(); }catch(e){}
	dialogDeleteClose();
	dialogClose();
	try{ showNotify('The website user <strong><?php echo addslashes(stripslashes($nFullName))?></strong> was successfully removed.','done') }catch(e){};
}
</script>

<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post" name="dialogForm" id="dialogForm" onSubmit="return submitFormModal('dialog/<?php echo $nPageName;?>?id=<?php echo $nRecID?>','dialogForm','<?php echo $nRefreshCall;?>');return false;">
	<input type="hidden" name="nUpdateDB" value="1">
	<input type="hidden" name="nRecID" value="<?php echo $nRecID?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="58" valign="top" style="padding-right:10px;"><img src="assets/images/icons/question.png" alt="" width="48" height="48" border="0"></td>
			<td class="blueBold" style="padding-right:10px;">
				<p>Are you sure you want to permanently delete website user <strong><?php echo $nFullName?></strong>?</p>
			</td>
		  </tr>
		</table>
		
	</td>
  </tr>
  <tr>
	<td style="padding:10px; text-align:center;">
	<input type="submit" name="nYes" value="Delete" class="button black"> 
	<input type="button" name="nCancel" value="Cancel" class="button" onClick="dialogDeleteClose();">
	</td>
  </tr>
</table>
</form>
<?php
// disconnect from mysql
mysql_close($Link);
?>
