<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/dialog/website_user_type_modify.php - version 1.0
*/

$nAdminOnlyPg = 1;

// Secure and connect
require("../../inc/dbconnect.php");
require("../inc/secure_page.php");

// bring in other required files
require("../inc/plugins.php");
require("../inc/pluginutil.php");

// Get passed-in variables
$nWebsiteUserTypeID = (isset($_GET["wut"]) ? $_GET["wut"] : NULL);
if(!$nWebsiteUserTypeID){ $nWebsiteUserTypeID = (isset($_POST["wut"]) ? $_POST["wut"] : NULL); }

$nNameType = $nActive = "";

if($nWebsiteUserTypeID){
	// Get information for this record to display
	$Query = "SELECT * FROM nWebsiteUserType WHERE nID=$nWebsiteUserTypeID";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nID = $Row["nID"];
		$nActive = $Row["nActive"];
		$nNameType = str_replace("\"","&quot;",$Row["nNameType"]);
	} else {
		$nError = "<li>You have requested a record that does not exist.  Please try again.</li>";
	}
}

// Defaults
if(!$nWebsiteUserTypeID){
	$nActive = 1;
}
?>

<style>
#tabs .ui-tabs-panel{ height:252px; overflow:auto; }
</style>

<script>
// load orders
loadOrders = function(){
	$('#websiteUserList').html(loaderImgL).load('tables/website_users.php?nWebsiteUserType=<?php echo $nWebsiteUserTypeID?>&m=m');
}
// initialize tabs
$(function() {
	loadOrders();
	$("#tabs").tabs();
});
</script>

<form action="../process_login.php" method="post" name="nLoginForm" id="nLoginForm" target="_blank" style="margin:0;"> 
	<input type="hidden" name="xRef" value=""> 
	<input type="hidden" name="nUser" value="<?php echo $nLoginUser?>">
	<input type="hidden" name="nPass" value="<?php echo $nLoginPass?>">
</form>

<?php
// Setup tabs
$nTabARRAY = array(); // tabID, position (leave blank for default tab)
$nTabARRAY["General"] = array("1","");
if($nWebsiteUserTypeID){ $nTabARRAY["Website Users"] = array("2",""); } // show tab only when modifying

// Get plugin inclusion points for page, and insert them in all tabs
$nPluginListInclARRAY = nGetBackOfficePagePluginInclusions("ModifyWebsiteUserType","",count($nTabARRAY)+1);
$nTabARRAY = nInsertPluginTabIncl($nPluginListInclARRAY,$nTabARRAY);

// get tabs and content
$nTabsCode = nBuildTabHTML($nTabARRAY);
$nTabsBodyCode = nBuildTabBodyHTML($nTabARRAY,"ModifyWebsiteUserType");
?>

<div id="editModal" style="min-width:800px; min-height:200px;">
		  	  
<div id="tabs">
	<ul>
		<?php echo $nTabsCode;?>
	</ul>
<?php echo $nTabsBodyCode;?>

<?php
// AJAX Specific vars
$nPassThru = "";
$nDivToUpdate = "editModal";
$nPageInDiv = "dialog/website_user_type_modify.php";

include("../inc/form_class.php");

$nFormName = "FormWebsiteUserTypeModify";
$nForm1 = new Form();
//$nForm1->DEBUG = true;
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->FormClass = "form no-border";
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "dialogClose()";
$nForm1->CancelRedirectIsJS = true;
if($nWebsiteUserTypeID){
	$nForm1->SubmitText = "Save Changes";
	if($nNameType!="General"){ $nDeleteButton = "<input type=\"button\" name=\"nDelete\" value=\" Delete Website User Type \" class=\"button\" style=\"margin-left:166px;\" onClick=\"openDeleteDialog('webusertype',$nWebsiteUserTypeID,'Delete Website User Type');\"></input>"; } else { $nDeleteButton = ""; }
	$nForm1->ButtonTemplate = "<div class=\"clearfix grey-highlight\"><div class=\"input no-label\">[#Buttons#]$nDeleteButton</div></div>\n";
} else {
	$nForm1->SubmitText = "Add Website User Type";
	$nForm1->ButtonTemplate = "<div class=\"clearfix grey-highlight\"><div class=\"input no-label\">[#Buttons#]</div></div>\n";
}
$nForm1->DBLink = $Link;
$nForm1->nUseADODB = false;
// AJAX settings
$nForm1->SubmitIsJS = true;
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru','$nFormName');return false;";
$nForm1->DontProcess = "wut";
// Form styling
$nStandardFieldTemplate = "<div id=\"[#RowID#]\" class=\"clearfix [#RowClass#]\" style=\"[#RowStyle#]\">[#Label#]<div class=\"input\" style=\"[#ItemStyle#]\">[#BeforeField#][#Field#][#AfterField#]<span class=\"info\">[#Caption#]</span></div></div>\n";
$nAltFieldTemplate = "<div style=\"float:right; padding:0 0 0 40px;\">[#LabelRaw#] &nbsp; &nbsp; <span class=\"input\" style=\"[#ItemStyle#]\">[#BeforeField#][#Field#][#AfterField#]<span class=\"info\">[#Caption#]</span></span></div>\n";
$nForm1->CleanMarkup = true;
$nForm1->SubmitClass = "button blue";
$nForm1->CancelClass = "button";
$nForm1->FieldTemplate = $nStandardFieldTemplate;
$nForm1->GroupTemplate = "<div id=\"[#ID#]\" style=\"[#Style#]\" class=\"[#Class#]\">\n[#Name#][#FieldCode#]\n</div>\n";

// Create groups
$nFormGroup1 = new FormGroup();
$nFormGroup1->ID = "tabs-1";
$nFormGroup2 = new FormGroup();
$nFormGroup2->ID = "tabs-2";

// Create fields
$nFormField = new FormField("hidden","wut");
$nFormField->Value = $nWebsiteUserTypeID;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nNameType","Type:");
$nFormField->Value = $nNameType;
$nFormField->Class = "large";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,25);
$nFormField = $nForm1->AddValidation("custom",$nFormField,"nCheckNameDuplicate");
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("select","nActive","Active?");
$nFormField->Class = "input";
$nFormField->DataARRAY = array(
	"1" => "Yes",
	"0" => "No");
$nFormField->SelectedARRAY = array("$nActive" => "checked");
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormGroup1->AddField($nFormField);


// Order table
$nFormField = new FormField("static","","Associated Website Users:");
$nFormField->Value = "<div id=\"websiteUserList\" style=\"width:725px;\"></div>";
$nFormField->RowClass = "fullwidth";
$nFormGroup2->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
if($nWebsiteUserTypeID){ $nForm1->AddGroup($nFormGroup2); }
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// Post-processing
	$nWebsiteUserTypeID = (isset($_POST["wut"]) ? $_POST["wut"] : NULL);
	$nID = (isset($_POST["nID"]) ? $_POST["nID"] : NULL);
	$nNameType = (isset($_POST["nNameType"]) ? $_POST["nNameType"] : NULL);
	$nActive = (isset($_POST["nActive"]) ? $_POST["nActive"] : NULL);
	
	// if record doesn't exist, create it now
	$nRecIsNew = false;
	if(!$nWebsiteUserTypeID){
		$Query = "INSERT INTO nWebsiteUserType (nNameType,nActive) VALUES ('$nNameType','$nActive')";
		mysql_select_db($DBName); mysql_query($Query,$Link);
		$nWebsiteUserTypeID = mysql_insert_id();
		$nRecIsNew = true;
	} else {
		// update record
		$Query = "UPDATE nWebsiteUserType SET nNameType='$nNameType',nActive='$nActive' WHERE nID=$nWebsiteUserTypeID LIMIT 1";
		mysql_select_db($DBName); mysql_query($Query, $Link);
	}
	
	// log system event
	if($nRecIsNew){
		$nSystemEventDesc = "New website user type (ID#$nWebsiteUserTypeID) <strong>[nWebsiteUserTypeID:$nWebsiteUserTypeID]</strong> added.";
	} else {
		$nSystemEventDesc = "Website user type (ID#$nWebsiteUserTypeID) modified: <strong>[nWebsiteUserTypeID:$nWebsiteUserTypeID]</strong>";
	}
	$Query = "INSERT INTO nSystemEventLog (nEventTime,nEventDesc,nEditorUser) VALUES ('".date("Y-m-d H:i:s")."','$nSystemEventDesc','$ValidUser')";
	mysql_select_db($DBName); mysql_query($Query, $Link);
	
	// Refresh and close
	echo "<script>try{ nLoadWebsiteUserTypesTable(); }catch(e){}</script>";
	if($nRecIsNew){
		echo "<script>showNotify('A new website user type <b>".addslashes($nNameType)."</b> was successfully added!','done'); dialogClose();</script>";
	} else {
		echo "<script>showNotify('The website user type <b>".addslashes($nNameType)."</b> was successfully modified!','done'); dialogClose();</script>";
	}
	
} else {
	echo $nFormToDisplay;
	echo "<script>try{ activeDialog.resize(); }catch(e){}</script>";
	echo "<script>try{ $.colorbox.resize(); }catch(e){}</script>";
}
?>

</div>
</div>

</body>
</html>
<?php
function nCheckNameDuplicate($nNameType) {
	global $DBName, $Link;
	global $nWebsiteUserTypeID;
	if(!$nNameType){ return 1; }
	if($nWebsiteUserTypeID){ $nWhereAdd = "AND nID!=$nWebsiteUserTypeID"; } else { $nWhereAdd = ""; }
	$isDuplicate = 0;
	$Query = "SELECT nID FROM nWebsiteUserType WHERE nNameType='$nNameType' $nWhereAdd";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$isDuplicate = 1;
	}
	if($isDuplicate){ return 0; } else { return 1; }
}
function nCheckNameDuplicate_errormsg($nNameType){
	return "The Website User Type '$nNameType' has already been used.  Please try another.";
}
?>
<?php
// disconnect from mysql
mysql_close($Link);
?>

